

#****************************
#All units are uM and/or sec
#****************************

FIX: NADP NADPH H2O2 H2O PAPS PAP SO3 MetSO Met PSH PSS

R1: NADPH + TrxSS = NADP + TrxSH
    (kcat1*TR*(NADPH/Knadph)*(TrxSS/K1trxss))/((1+NADPH/Knadph)*(1+TrxSS/K1trxss))
    
R2: TrxSH + PSS = TrxSS + PSH
    k2*TrxSH*PSS
    
R3: MetSO + TrxSH = Met + TrxSS
    (kcat3*MSR*MetSO*TrxSH)/(K3trxsh*MetSO+Kmetso*TrxSH+MetSO*TrxSH)    

R4: PAPS + TrxSH = SO3 + PAP + TrxSS
    0.156*PAPS*TrxSH
   
R5: H2O2 + TpxSH = H2O + TpxSS
    k5*H2O2*TpxSH
    
R6: TrxSH + TpxSS = TrxSS + TpxSH
    k6*TrxSH*TpxSS
    
#Metabolite Concentrations

NADPH = 137.0
NADP = 1.0
TrxSH = 1.0
TrxSS = 1.0

PSS = 4.23
PSH = 1.0


MetSO = 970.0
Met = 48300.0

PAPS = 0.07
SO3 = 1.0
PAP = 1.0

H2O2 = 0.02
H2O = 1.0
TpxSH = 4.88
TpxSS = 1.0

#Kinetic Parameters

TR = 4.74
kcat1 = 22.75
Knadph = 1.2
K1trxss = 2.8


k2 = 0.064

MSR = 2.35
kcat3 = 3.7
Kmetso = 1900.0
K3trxsh = 10.0


PR = 0.345
kcat4 = 3.5
Kpaps = 22.5
K4trxsh = 13.7

k5 = 44.0
k6 = 3000.0


