# Generated by PySCeS 0.9.4 (2016-11-07 15:19)

# Keywords
Description: NoName
Modelname: NoName
Output_In_Conc: True
Species_In_Conc: True

# GlobalUnitDefinitions
UnitVolume: litre, 1.0, 0, 1
UnitLength: metre, 1.0, 0, 1
UnitSubstance: mole, 1.0, -6, 1
UnitArea: metre, 1.0, 0, 2
UnitTime: second, 1.0, 0, 1

# Compartments
Compartment: vol_int, 5.2e-05, 3
Compartment: vol_ex, 0.05, 3

# Function definitions
Function: function_5, k_hyp_ox , hyp_ox_param , Tpx1_ox_SOH , H2O2_int  {
k_hyp_ox*hyp_ox_param*Tpx1_ox_SOH*H2O2_int
}
Function: function_4, V_basal  {
V_basal
}
Function: function_3, substrate , Km , V  {
V*substrate/(Km+substrate)
}
Function: function_2, k_H2O2_perm , H2O2_ex , vol_ex  {
k_H2O2_perm*H2O2_ex*vol_ex
}
Function: function_1, k_H2O2_perm , vol_ex , vol_int , H2O2_int  {
k_H2O2_perm*(vol_ex/vol_int)*H2O2_int*vol_int
}

# Reactions

# disulph_red1
re8:
    Trx1SH + Tpx1_ox1 > {2.0}Tpx1SH + Trx1_ox
    vol_int*k_disulph_red1*Tpx1_ox1*Trx1SH
# re8 has modifier(s): Trx1SH

# H2O2_metab
reaction_10:
    H2O2_int > $pool
    vol_int*function_3(H2O2_int,Km_H2O2_metab,Vmax_H2O2_metab)

# H2O2_basal
reaction_11:
    $pool > H2O2_int
    vol_int*function_4(V_basal)

# hyp_ox
reaction_12:
    Tpx1_ox_SOH + H2O2_int > Tpx1_ox_SOOH
    vol_int*function_5(k_hyp_ox,hyp_ox_param,Tpx1_ox_SOH,H2O2_int)

# Trx1_reduction
reaction_13:
    Trx1_ox > Trx1SH
    vol_int*k_Trx_red*Trx1_ox

# Cysp_ox
reaction_6:
    Tpx1SH + H2O2_int > Tpx1SOH
    vol_int*k_cys_ox*Tpx1SH*H2O2_int

# disulph_form1a
reaction_7:
    Tpx1SH + Tpx1SOH > Tpx1_ox1
    vol_int*k_disulph_form1*Tpx1SOH*Tpx1SH

# disulph_red3
reaction_4:
    Trx1SH + Tpx1_ox_SOOH > Tpx1SH + Trx1_ox + Tpx1SOOH
    vol_int*k_disulph_red3*Tpx1_ox_SOOH*Trx1SH
# reaction_4 has modifier(s): Trx1SH

# disulph_red2
reaction_2:
    Trx1SH + Tpx1_ox2 > Trx1_ox + Tpx1_ox1
    vol_int*k_disulph_red2*Tpx1_ox2*Trx1SH
# reaction_2 has modifier(s): Trx1SH

# disulph_form2
reaction_3:
    Tpx1_ox_SOH > Tpx1_ox2
    vol_int*k_disulph_form2*Tpx1_ox_SOH

# disulph_form1b
reaction_1:
    {2.0}Tpx1SOH > Tpx1_ox_SOH
    vol_int*k_disulph_form1*pow(Tpx1SOH,2.0)

# H2O2_efflux
reaction_8:
    H2O2_int > H2O2_ex
    function_1(k_H2O2_perm,vol_ex,vol_int,H2O2_int)

# H2O2_influx
reaction_9:
    H2O2_ex > H2O2_int
    function_2(k_H2O2_perm,H2O2_ex,vol_ex)

# Fixed species

# Variable species
Tpx1SOH@vol_int = 0.0       # uM
Tpx1_ox_SOOH@vol_int = 0.0  # uM
Trx1SH@vol_int = 0.7        # uM
Tpx1SH@vol_int = 4.0        # uM
Trx1_ox@vol_int = 0.0       # uM
Tpx1_ox_SOH@vol_int = 0.0   # uM
Tpx1_ox1@vol_int = 0.0      # uM
Tpx1_ox2@vol_int = 0.0      # uM
H2O2_ex@vol_ex = 500.0      # uM
Tpx1SOOH@vol_int = 0.0      # uM
H2O2_int@vol_int = 0.0      # uM

# Parameters
k_H2O2_perm = 0.000344145752146   # l s**-1
Vmax_H2O2_metab = 59.1101286989   # uM s**-1
Km_H2O2_metab = 0.00727013132059  # uM
k_cys_ox = 20.0                   # uM**-1 s**-1
k_disulph_form1 = 1.00755933105   # uM**-1 s**-1
k_disulph_form2 = 3.43491295032   # s**-1
k_disulph_red1 = 0.189972075394   # uM**-1 s**-1
k_disulph_red2 = 0.142827879843   # uM**-1 s**-1
k_disulph_red3 = 0.029420345318   # uM**-1 s**-1
k_Trx_red = 33.6                  # s**-1
k_hyp_ox = 0.012                  # uM**-1 s**-1
V_basal = 5.27874025944           # uM s**-1
hyp_ox_param = 1.0


